; (function ($) {
  "use strict";

  
  /**
   * Eleddon ajax Admin data save
   *
   */

  var $FormSubmit = $( '#eleddon_settings_from' ),
      $saveButton = $('.eleddon_boxed-btn');

  $FormSubmit.on( 'submit', function( e ) {

    e.preventDefault();

    $.ajax({

      type: 'POST',
      url: eleddonAdmin.ajaxurl,
      data: {
        action: 'settings_data_save_action',
        data: $(this).serialize(),
        nonce: eleddonAdmin.nonce
      },
      beforeSend: function(){
        $saveButton.html('<div class="eleddon-loader"></div>');
      },
      success: function( res ) {

        if( res.success ) {
          var $success = setTimeout(function () {
                $saveButton
                  .attr('disabled', true)
                  .text( 'Save Changed' );
              clearTimeout( $success );
          }, 1500);

        }

      }

    })


  } )



})(jQuery);