<?php
namespace Eleddon\Admin\Classes;
/**
 * Eleddon Gopro Section
 *
 * @package     Eleddon
 * @author      Codingeek
 * @copyright   2019 Codingeek
 * @license     GPL-2.0-or-later
 *
 *
 */


if( !defined( 'WPINC' ) ) {
    die;
}

if( !class_exists('Gopro_Section') ) {

    class Gopro_Section {

        public $sectionTitle = 'Premium Addon';


        function __construct() {

            
        }

        /**
         * General Section info
         *
         *
         */
        public function gopro_card_info() {
            
            return [

                [
                    'title'         => esc_html__( 'IS Premium Available ?', 'eleddon' ),
                    'image'         => ELEDDON_ADMIN_URL.'assets/img/icons/1.png',
                    'description'   => 'Eleddon Premium verison will come very soon ?',
                    'link_text'     => esc_html__( 'Documentation', 'eleddon' ),
                    'link_url'      => 'https://codingeek.net/'
                ]

            ];

        }

    }

}