(function ($, w) {
    'use strict';

    var $window = $(w);


    /*======================================
    Accordion Cofiguration
    ======================================*/
    var eleddonaccordion = function($scope, $) {

        $( $scope.find('.heading') ).each( function( ) {

            $( this).on( 'click',  function(e) {
                    e.preventDefault();

                    if (!$(this).parent().hasClass('active')) {
                        $(this).parent().addClass('active');
                        $(this).parent().siblings().removeClass('active');
                    } else {
                        $(this).parent().removeClass('active');
                    }
       

            } )

        } )

    }

    /*======================================
    Sponsor Logo Carousl Activation
    ======================================*/

    var eleddonlogocarousel = function( $scope, $ ) {

        var sponsorLogoWrapper = $scope.find( '.sponsor-carousel-wrapper' );

        var options = sponsorLogoWrapper.data('options');

        if (sponsorLogoWrapper.length) {

            sponsorLogoWrapper.each( function() {

            $(this).not('.slick-initialized').slick({
                infinite: true,
                slidesToShow: options.items,
                slidesToScroll: 1,
                dots: false,
                arrows: true,
                autoplay: true,
                speed: options.speed,
                prevArrow: '<div class="slider-arrow prev-slide"><i class="fas fa-arrow-left"></i></div>',
                nextArrow: '<div class="slider-arrow next-slide"><i class="fas fa-arrow-right"></i></div>',
                responsive: [
                    {
                        breakpoint: 1224,
                        settings: {
                            slidesToShow: 3,
                            slidesToScroll: 1,
                        }
                    },
                    {
                        breakpoint: 800,
                        settings: {
                            slidesToShow: 3,
                            slidesToScroll: 2
                        }
                    },
                    {
                        breakpoint: 700,
                        settings: {
                            slidesToShow: 2,
                            slidesToScroll: 2
                        }
                    },
                    {
                        breakpoint: 600,
                        settings: {
                            slidesToShow: 2,
                            slidesToScroll: 2
                        }
                    },
                    {
                        breakpoint: 480,
                        settings: {
                            slidesToShow: 1,
                            slidesToScroll: 1
                        }
                    }
                ]
            });

        } )

        }


    }

    /*======================================
    Testimonail 1 Activation
    ======================================*/

    var testimonailOne = function( $scope, $ ) {

        var testimonailOneWrapper = $scope.find('.eleddon-testimonial-wrapper');
        var $options = testimonailOneWrapper.data('options');
        if( $options.style=='test-style-01' ) {
            if ( testimonailOneWrapper.length ) {

                testimonailOneWrapper.owlCarousel({
                    loop: $options.loop,
                    margin: 10,
                    nav: false,
                    dots: true,
                    smartSpeed: 1000,
                    items: $options.items
                })
            }
        }else{
             var testimonailTwoWrapper = $scope.find('.eleddon-testimonial-wrapper');
            if (testimonailTwoWrapper.length) {
                testimonailTwoWrapper.owlCarousel({
                    loop: true,
                    margin: 10,
                    nav: false,
                    dots: true,
                    center: true,
                    smartSpeed: 1000,
                    responsive: {
                        0: {
                            items: 1
                        },
                        600: {
                            items: 1
                        },
                        700: {
                            items: 1
                        },
                        1000: {
                            items: 2,
                            center: false
                        },
                        1100: {
                            items: 3
                        }

                    }
                });
         }
        } //end if option style

    }



    /*======================================
    Hero Slider Activation
    ======================================*/
      var heroSliderOne = function( $scope, $ ) {
        var headerCarousel = $('.hero-slider-wrapper');
        if (headerCarousel.length) {
            headerCarousel.slick({
                infinite: true,
                slidesToShow: 1,
                slidesToScroll: 1,
                dots: true,
                arrows: true,
                fade: true,
                autoplay: true,
                speed: 1500,
                appendDots: $('.dot-container'),
                appendArrows: $('.arrow-container'),
                prevArrow: '<div class="slider-arrow prev-slide"><i class="fas fa-arrow-left"></i></div>',
                nextArrow: '<div class="slider-arrow next-slide"><i class="fas fa-arrow-right"></i></div>'
            });
        }

        /*================================
         Video Popup
         ==================================*/
        $('.play-btn').magnificPopup({
            type: 'iframe',
            gallery: {
                enabled: true
            },
            preloader: true
        });
    }


    /*======================================
        Progressbar
    ======================================*/

    var eleddonProgressBar = function( $scope, $ ) {
        
    /*======================================
    Circular Progressbar Jquery
    ======================================*/

        $.fn.loading = function () {
            var DEFAULTS = {
                backgroundColor: '#fff',
                progressColor: '#4b86db',
                percent: 75,
                duration: 2000
            };

            $(this).each(function () {
                var $target = $(this);

                var opts = {
                    backgroundColor: $target.data('color') ? $target.data('color').split(',')[0] : DEFAULTS.backgroundColor,
                    progressColor: $target.data('color') ? $target.data('color').split(',')[1] : DEFAULTS.progressColor,
                    percent: $target.data('percent') ? $target.data('percent') : DEFAULTS.percent,
                    duration: $target.data('duration') ? $target.data('duration') : DEFAULTS.duration
                };
                // console.log(opts);

                $target.append('<div class="background"></div><div class="rotate"></div><div class="left"></div><div class="right"></div><div class=""><span>' + opts.percent + '%</span></div>');

                $target.find('.background').css('background-color', opts.backgroundColor);
                $target.find('.left').css('background-color', opts.backgroundColor);
                $target.find('.rotate').css('background-color', opts.progressColor);
                $target.find('.right').css('background-color', opts.progressColor);

                var $rotate = $target.find('.rotate');
                setTimeout(function () {
                    $rotate.css({
                        'transition': 'transform ' + opts.duration + 'ms linear',
                        'transform': 'rotate(' + opts.percent * 3.6 + 'deg)'
                    });
                }, 1);

                if (opts.percent > 50) {
                    var animationRight = 'toggle ' + (opts.duration / opts.percent * 50) + 'ms step-end';
                    var animationLeft = 'toggle ' + (opts.duration / opts.percent * 50) + 'ms step-start';
                    $target.find('.right').css({
                        animation: animationRight,
                        opacity: 1
                    });
                    $target.find('.left').css({
                        animation: animationLeft,
                        opacity: 0
                    });
                }
            });
        }


        /*======================================
            Circular Progressbar Activation
            ======================================*/
        $(".progress-bar").loading();
            /*======================================
            Progressbar Activation
            ======================================*/
            $.each($('.barfiller'), function() {
                $('#'+this.id).barfiller({ barColor: $(this).attr('data-bgColor'), duration: $(this).attr('data-duration') });
            });

    }

    //
    var elementTypeSkin = {
        'eleddon-accordion.default' : eleddonaccordion,
        'eleddon-logo-carousel.default' : eleddonlogocarousel,
        'eleddon-testimonial.default' : testimonailOne,
        'eleddon-slider.default' : heroSliderOne,
        'eleddon-progressbar.default' : eleddonProgressBar,
    }

    $(window).on('elementor/frontend/init', function () {

        var $EF = elementorFrontend;

        $.each( elementTypeSkin, function( widgetName, fuHandler ) {

            $EF.hooks.addAction('frontend/element_ready/'+widgetName, fuHandler );

        } )

   
    });


})(jQuery);